## r-bioc-alabaster.ranges 1.4.2+ds

=== DESCRIPTION ===
Package: alabaster.ranges
Title: Load and Save Ranges-related Artifacts from File
Version: 1.4.2
Date: 2024-06-21
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save GenomicRanges, IRanges and related data structures into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: GenomicRanges, alabaster.base
Imports: methods, S4Vectors, BiocGenerics, IRanges, GenomeInfoDb, rhdf5
Suggests: testthat, knitr, BiocStyle, jsonlite
VignetteBuilder: knitr
RoxygenNote: 7.2.3
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.ranges
git_branch: RELEASE_3_19
git_last_commit: fe4420e
git_last_commit_date: 2024-06-21
Repository: Bioconductor 3.19
Date/Publication: 2024-06-23
NeedsCompilation: no
Packaged: 2024-06-23 20:06:51 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.ranges (1.4.2+ds-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:21:46 +0200

r-bioc-alabaster.ranges (1.4.2+ds-2~0exp2) experimental; urgency=medium

  * d/control: increase minimum version of r-bioc-alabaster.base

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 13:05:21 +0200

r-bioc-alabaster.ranges (1.4.2+ds-2~0exp1) experimental; urgency=medium

  * d/{,tests/}control: add minimum version numbers matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:54:38 +0200

r-bioc-alabaster.ranges (1.4.2+ds-2~0exp0) experimental; urgency=medium

  * autopkgtests: add more dependencies and skip architectures where the
    dependencies are unavailable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 14:04:20 +0200

r-bioc-alabaster.ranges (1.4.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1076077)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 01:00:42 +0200

=== debian/control ===
Source: r-bioc-alabaster.ranges
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.ranges
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.ranges.git
Homepage: https://bioconductor.org/packages/alabaster.ranges
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp3),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-rhdf5 (>= 2.48.0)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.ranges
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp3),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-rhdf5 (>= 2.48.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1)
Description: Load and Save Ranges-related Artifacts from File
 Save GenomicRanges, IRanges and related data structures into file artifacts,
 and load them back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

## r-bioc-alabaster.ranges 1.6.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: alabaster.ranges
 Title: Load and Save Ranges-related Artifacts from File
-Version: 1.4.2
+Version: 1.6.0
 Date: 2024-06-21
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
 License: MIT + file LICENSE
@@ -16,12 +16,12 @@
 RoxygenNote: 7.2.3
 biocViews: DataImport, DataRepresentation
 git_url: https://git.bioconductor.org/packages/alabaster.ranges
-git_branch: RELEASE_3_19
-git_last_commit: fe4420e
-git_last_commit_date: 2024-06-21
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-23
+git_branch: RELEASE_3_20
+git_last_commit: 0344243
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-06-23 20:06:51 UTC; biocbuild
+Packaged: 2024-10-29 23:24:58 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.ranges (1.6.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:03:32 +0100

r-bioc-alabaster.ranges (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 08:39:42 +0100

=== debian/control ===
Source: r-bioc-alabaster.ranges
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.ranges
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.ranges.git
Homepage: https://bioconductor.org/packages/alabaster.ranges
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges,
               r-bioc-alabaster.base,
               r-bioc-s4vectors,
               r-bioc-biocgenerics,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-rhdf5
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.ranges
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Load and Save Ranges-related Artifacts from File
 Save GenomicRanges, IRanges and related data structures into file artifacts,
 and load them back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/alabaster.ranges.html .*/alabaster.ranges_(.*).tar.gz
